Page MenuHomeDevCentral

No OneTemporary

diff --git a/utils/install-arc.sh b/utils/install-arc.sh
new file mode 100755
index 0000000..a9d5589
--- /dev/null
+++ b/utils/install-arc.sh
@@ -0,0 +1,35 @@
+#!/bin/sh
+
+# -------------------------------------------------------------
+# Install Arcanist for operations
+# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
+# Project: Nasqueron
+# License: BSD-2-Clause
+# -------------------------------------------------------------
+
+set -e
+
+ARC_DIR=/opt/phabricator
+BIN_DIR=/usr/local/bin
+
+# -------------------------------------------------------------
+# Clone repositories
+# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
+
+mkdir -p "$ARC_DIR"
+cd "$ARC_DIR"
+
+git clone https://github.com/nasqueron/arcanist.git
+git clone https://github.com/nasqueron/shellcheck-linter.git
+
+# -------------------------------------------------------------
+# Provide symlink
+# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
+
+ln -s "$ARC_DIR/arcanist/bin/arc" "$BIN_DIR/arc"
+
+# -------------------------------------------------------------
+# Check prerequisites
+# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
+
+command -v php > /dev/null || echo ⚠️ You also need to install PHP to use Arcanist.

File Metadata

Mime Type
text/x-diff
Expires
Mon, Nov 25, 05:30 (1 d, 5 h)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
2259572
Default Alt Text
(1 KB)

Event Timeline